org.wildfly.swarm.config.undertow.configuration

## Class CustomFilter<T extends CustomFilter<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.CustomFilter<T>

-     public class CustomFilter<T extends CustomFilter<T>>
      extends Object

  Custom filter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomFilter(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` Class name of HttpHandler
    `T` | `className(String value)` Class name of HttpHandler
    `String` | `getKey()`
    `String` | `module()` Module name where class can be loaded from
    `T` | `module(String value)` Module name where class can be loaded from
    `T` | `parameter(String key, Object value)` Filter parameters
    `Map` | `parameters()` Filter parameters
    `T` | `parameters(Map value)` Filter parameters
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomFilter

          public CustomFilter(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### className

          public String className()

      Class name of HttpHandler

    - #### className

          public T className(String value)

      Class name of HttpHandler

    - #### module

          public String module()

      Module name where class can be loaded from

    - #### module

          public T module(String value)

      Module name where class can be loaded from

    - #### parameters

          public Map parameters()

      Filter parameters

    - #### parameters

          public T parameters(Map value)

      Filter parameters

    - #### parameter

          public T parameter(String key,
                             Object value)

      Filter parameters

Copyright © 2017 JBoss by Red Hat. All rights reserved.